Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030534
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2015-08-10 13:432015-11-23 21:16
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revision4fe0b9e4b25c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030534: Some pop-ups are not displayed properly on Microsoft Edge

DescriptionSome pop-ups are not displayed properly on Microsoft Edge. The styles are not the expected ones. (See image attached). This could be an issue on Smartclient sources, therefore, the following issue has been raised in their forum: http://forums.smartclient.com/showthread.php?p=133520 [^]
Steps To Reproduce1) Log in using Microsoft Edge
2) Click on the logout button, notice that the style of the confirm dialog is not the correct one.
TagsNo tags attached.
Attached Filespng file icon logoutChrome.png [^] (21,884 bytes) 2015-08-10 13:50


png file icon logoutEdge.png [^] (13,413 bytes) 2015-08-10 14:02


png file icon widgetChrome.png [^] (50,716 bytes) 2015-10-21 13:43


png file icon widgetEdge.png [^] (37,463 bytes) 2015-10-21 13:43

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0030464 closedcaristu Openbravo ERP 3 doesn't work on Microsoft Edge 
related to defect 0034882 closedcaristu Incorrect styling in Chrome 56 

-  Notes
(0081302)
hgbot (developer)
2015-10-26 11:07

Repository: erp/mods/org.openbravo.userinterface.smartclient.dev
Changeset: d59516ced99c55acf9251b238ad0e99ebf34275f
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Oct 26 11:05:34 2015 +0100
URL: http://code.openbravo.com/erp/mods/org.openbravo.userinterface.smartclient.dev/rev/d59516ced99c55acf9251b238ad0e99ebf34275f [^]

related to issue 30534: Some pop-ups are not displayed properly on MS Edge

---
M web/org.openbravo.userinterface.smartclient/isomorphic/client/widgets/EdgedCanvas.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/development/ISC_Core.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/modules-debug/ISC_Core.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/modules/ISC_Core.js
---
(0081303)
hgbot (developer)
2015-10-26 11:09

Repository: erp/devel/pi
Changeset: 4fe0b9e4b25c90cde06d491b7239976ff8290f86
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Oct 26 11:07:45 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4fe0b9e4b25c90cde06d491b7239976ff8290f86 [^]

fixes issue 30534: Some pop-ups are not displayed properly on MS Edge

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/isomorphic/ISC_Combined.js
---
(0081470)
alostale (developer)
2015-11-04 13:08

code reviewed

verified in MS Edge 20.10240.16384.0
(0082157)
hudsonbot (developer)
2015-11-23 21:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-08-10 13:43 caristu New Issue
2015-08-10 13:43 caristu Assigned To => caristu
2015-08-10 13:43 caristu File Added: popupEdge.png
2015-08-10 13:43 caristu Modules => Core
2015-08-10 13:43 caristu Triggers an Emergency Pack => No
2015-08-10 13:43 caristu File Deleted: popupEdge.png
2015-08-10 13:44 caristu Relationship added related to 0030464
2015-08-10 13:50 caristu File Added: logoutChrome.png
2015-08-10 14:02 caristu File Added: logoutEdge.png
2015-08-10 14:03 caristu Description Updated View Revisions
2015-08-11 10:09 alostale Status new => acknowledged
2015-10-21 13:43 caristu File Added: widgetChrome.png
2015-10-21 13:43 caristu File Added: widgetEdge.png
2015-10-26 11:07 hgbot Checkin
2015-10-26 11:07 hgbot Note Added: 0081302
2015-10-26 11:08 caristu Review Assigned To => alostale
2015-10-26 11:08 caristu Issue Monitored: alostale
2015-10-26 11:09 hgbot Checkin
2015-10-26 11:09 hgbot Note Added: 0081303
2015-10-26 11:09 hgbot Status acknowledged => resolved
2015-10-26 11:09 hgbot Resolution open => fixed
2015-10-26 11:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4fe0b9e4b25c90cde06d491b7239976ff8290f86 [^]
2015-11-04 13:08 alostale Note Added: 0081470
2015-11-04 13:08 alostale Status resolved => closed
2015-11-04 13:08 alostale Fixed in Version => 3.0PR16Q1
2015-11-23 21:16 hudsonbot Checkin
2015-11-23 21:16 hudsonbot Note Added: 0082157
2017-01-10 12:37 caristu Relationship added related to 0034882


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker